BizKitHub
DocsAPI ReferenceOrder/api/v1/shop/order/create-payment
postOrderPublic API v1

/api/v1/shop/order/create-payment

No description provided.

orderpostApiV1ShopOrderCreate-payment

Parameters

1 query · JSON body

Query parameters

· 1
apiKeystringRequired

Your BizKitHub API key (passed as GET parameter).

Key format: A 32-character string matching: ^(PROD|DEV_|ROOT)[A-Za-z0-9]{28}$
Prefixes: PROD (production key), DEV_ (individual developer), ROOT (system key with no limits). Learn more

ExamplePRODPGrFxpGEtrOZfuWhnoJohUYBXuOE

Request body

application/json
hashstringRequired
ExamplesSO98YxzR4KJiOu66Jn6K3wRwa4FPI7S

Response schema

1 status code documented

200Success
redirectUrlstringRequired

Response example

application/json
{
  "redirectUrl": "example_redirectUrl"
}

Request example

POST /api/v1/shop/order/create-payment

post
curl -X POST "https://api.bizkithub.com/api/v1/shop/order/create-payment?apiKey=PRODPGrFxpGEtrOZfuWhnoJohUYBXuOE" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "hash": "sSO98YxzR4KJiOu66Jn6K3wRwa4FPI7S"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key